# Interface ICefThread

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefThread = interface(ICefBaseRefCounted)`

## Description

A simple thread abstraction that establishes a message loop on a new thread. The consumer uses ICefTaskRunner to execute code on the thread's message loop. The thread is terminated when the ICefThread object is destroyed or stop() is called. All pending tasks queued on the thread's message loop will run to completion before the thread is terminated. cef_thread_create() can be called on any valid CEF thread in either the browser or render process. This interface should only be used for tasks that require a dedicated thread. In most cases you can post tasks to an existing CEF thread instead of creating a new one; see cef_task.h for details.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_thread_capi.h">CEF source file: /include/capi/cef_thread_capi.h (cef_thread_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefThread

## Overview

### Methods

| `function GetTaskRunner: ICefTaskRunner;`
| `function GetPlatformThreadID: TCefPlatformThreadId;`
| `procedure Stop;`
| `function IsRunning: boolean;`

## Description

### Methods

| `function GetTaskRunner: ICefTaskRunner;`
Returns the ICefTaskRunner that will execute code on this thread's message loop. This function is safe to call from any thread. ###### Attributes GUID['{26B30EA5-F44A-4C40-97DF-67FD9E73A4FF}']

| `function GetPlatformThreadID: TCefPlatformThreadId;`
Returns the platform thread ID. It will return the same value after stop() is called. This function is safe to call from any thread.

| `procedure Stop;`
Stop and join the thread. This function must be called from the same thread that called cef_thread_create(). Do not call this function if cef_thread_create() was called with a |stoppable| value of false (0).

| `function IsRunning: boolean;`
Returns true (1) if the thread is currently running. This function must be called from the same thread that called cef_thread_create().

Generated by PasDoc 0.16.0-snapshot.